[의사록] CADquery 샘플 코드

14046 단어 3D 프린터PythonCAD

개시하다


이 글은 Python 모듈 CadQuery의 샘플 코드 세트입니다.
가져오기 방법은 CadQuery를 사용하여 3D 프린터 데이터(STL 파일) 생성하기를 참조하십시오.
※ 적절한 갱신을 계획하고 있습니다.

직사각형을 그리다

  • 제작 x:2mm, y:2mm,z:0.5mm의 장방체
  • test.py
    import cadquery as cq
    
    result = cq.Workplane("front").box(2.0, 2.0, 0.5)
    show_object(result)
    

    [translate] 좌표가 지정한 방식으로 장방체를 이동합니다

  • 제작 x:2mm, y:2mm,z:0.5mm의 장방체
  • 장방체의 중심 좌표를 x방향 2mm, y방향 3mm,z방향 1mm로 이동
  • test.py
    import cadquery as cq
    
    result = cq.Workplane("front").box(2.0, 2.0, 0.5)
    result = result.translate((2, 3, 1))
    show_object(result)
    
    

    직사각형 몸에 구멍을 뚫다

  • 제작x:80mm,y:60mm,z:10mm의 장방체
  • 직경 22m의 구멍
  • 을 장방체에 뚫는다
    test.py
    import cadquery as cq
    
    length = 80.0
    height = 60.0
    thickness = 10.0
    center_hole_dia = 22.0
    
    result = (cq.Workplane("XY").box(length, height, thickness)
        .faces(">Z").workplane().hole(center_hole_dia))
    
    show_object(result)
    
    

    [hole] 상자의 구멍 열기(좌표 지정)

  • 제작x:80mm,y:60mm,z:10mm의 장방체
  • 중심이 엇갈리는 (10,20)에 비해 직경 16m의 구멍을 장방체로 뚫는다
  • test.py
    import cadquery as cq
    
    length = 80.0
    height = 60.0
    thickness = 10.0
    center_hole_dia = 16.0
    
    result = cq.Workplane("XY").box(length, height, thickness)
    result = result.faces(">Z").workplane().center(10, 20).hole(center_hole_dia)
    
    show_object(result)
    
    

    직사각형에 나사 구멍을 뚫다

  • 제작x:80mm,y:60mm,z:10mm의 장방체
  • faces(">Z")
  • Z 방향의 최대 면 지정
  • rect(70.0, 50.0, forConstruction=True)
  • 70.0x50.0 크기 지정
  • forConstruction = True는 와이어 참조
  • ※ forcons truction =false 부품 형상용
  • vertices()
  • 정점 선택
  • cboreHole(3.0, 4.0, 2.0, depth=None)
  • 3.0mm 나사 구멍
  • 4.0mm의 나사못 구멍
  • 2.0mm의 나사못 헤드 깊이
  • depth로 나사 구멍의 깊이.None에서 지정한 관통
  • test.py
    import cadquery as cq
    
    length = 80.0
    height = 60.0
    thickness = 10.0
    
    result = (cq.Workplane(cq.Plane.XY()).box(length, height, thickness))
    result = result.faces(">Z").workplane().rect(70.0, 50.0, forConstruction=True).vertices().cboreHole(3.0, 4.0, 2.0, depth=None)
    
    show_object(result)
    

    융합 장방체

  • 제작 x:2mm, y:2mm,z:0.5mm의 두 장방체(r1,r2)
  • r1을 x방향으로 1mm, y방향으로 1mm 이동
  • r1과 r2를 융합
  • test.py
    import cadquery as cq
    
    r1 = cq.Workplane("front").box(2.0, 2.0, 0.5)
    r1 = r1.translate((1, 1, 0))
    r2 = cq.Workplane("front").box(2.0, 2.0, 0.5)
    r2 = r2.translate((0, 0, 0))
    
    r1 = r1.union(r2)
    
    show_object(r1)
    
    

    [cut] 직사각형 자르기

  • 제작 x:2mm, y:2mm,z:0.5mm의 두 장방체(r1,r2)
  • r1을 x방향으로 1mm, y방향으로 1mm 이동
  • r1에서 r2를 잘라내는 부분
  • test.py
    import cadquery as cq
    
    r1 = cq.Workplane("front").box(2.0, 2.0, 0.5)
    r1 = r1.translate((1, 1, 0))
    r2 = cq.Workplane("front").box(2.0, 2.0, 0.5)
    r2 = r2.translate((0, 0, 0))
    
    r1 = r1.cut(r2)
    
    show_object(r1)
    

    원기둥을 이루다

  • 제작 직경 2mm, 높이: 3mm의 원통
  • test.py
    import cadquery as cq
    
    result = cq.Workplane("front").circle(2).extrude(3)
    show_object(result)
    

    좋은 웹페이지 즐겨찾기